NetX 10 On-premise Dependency Changes

This article outlines the dependency changes needed for the upgrade to NetX 10. If you have any questions or concerns, please contact support@netx.net before starting an upgrade.

Which version of NetX are you upgrading from?

My site is on a version older than 9.x

Please submit a ticket to NetX support to request further instructions before attempting this upgrade.

My site is running 9.x
  1. Install the OpenJDK JDK 17. See JDK - Java Development Kit for details.
  2. Follow the instructions below to upgrade NetX and Solr:

JDK 17

NetX 10 requires OpenJDK JDK 17. If you are running on Linux, make sure to update your JAVA_HOME environmental variable in your /opt/netx/bin/setenv.sh to reflect the new java location. On Windows, the installer may automatically locate the new java version. If not, see here for manual instructions: JDK - Java Development Kit.

Solr 8

In this release, NetX now supports Solr 8. An automatic reindex will not be kicked off after the NetX 10 upgrade, so if you run into issues with search or asset display after the upgrade you will need to start a manual reindex.

Tomcat 9

NetX 10 includes a new version of Apache Tomcat application server. Tomcat 9 is automatically bundled with the NetX upgrade pack and does not require manual intervention to install.

 

 

 

Was this article helpful?
0 out of 0 found this helpful